package cn.com.ctop.kuaishou.modules.batch.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.jeecgframework.poi.excel.annotation.Excel;


/**
 * 骄阳-二创者信息对象 jy_clip_cooperation
 *
 * @author ruoyi
 * @date 2023-11-01
 */
public class JyClipCooperation {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long clipId;

    /**
     * 二创者名称
     */
    @Excel(name = "二创者名称")
    private String clipName;

    /**
     * 头像
     */
    @Excel(name = "头像")
    private String headImg;

    /**
     * 二创佣金比例
     */
    @Excel(name = "二创佣金比例")
    private Long commissionRate;

    /**
     * 粉丝数
     */
    @Excel(name = "粉丝数")
    private String fansNum;

    /**
     * 创作者gmv
     */
    @Excel(name = "创作者gmv")
    private String gmv30d;

    /**
     * 周期-开始日期
     */
    @Excel(name = "周期-开始日期")
    private String startTime;

    /**
     * 周期-结束日期
     */
    @Excel(name = "周期-结束日期")
    private String endTime;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private Integer status;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String terminationReason;

    /**
     * 佣金比例
     */
    @Excel(name = "佣金比例")
    private String commissionRateView;

    /**
     * 口碑评分
     */
    @Excel(name = "口碑评分")
    private String shopScore;

    /**
     * 创作者30日gmv
     */
    @Excel(name = "创作者30日gmv")
    private String clipGmv30d;

    /**
     * 授权商品gmv
     */
    @Excel(name = "授权商品gmv")
    private String authItemGmv30d;

    /**
     * 挂车视频
     */
    @Excel(name = "挂车视频")
    private String videoCount;
    private String videoShow;

    /**
     * 日期
     */
    @Excel(name = "日期")
    private Long statDate;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getClipId() {
        return clipId;
    }

    public void setClipId(Long clipId) {
        this.clipId = clipId;
    }

    public String getClipName() {
        return clipName;
    }

    public void setClipName(String clipName) {
        this.clipName = clipName;
    }

    public String getHeadImg() {
        return headImg;
    }

    public void setHeadImg(String headImg) {
        this.headImg = headImg;
    }

    public Long getCommissionRate() {
        return commissionRate;
    }

    public void setCommissionRate(Long commissionRate) {
        this.commissionRate = commissionRate;
    }

    public String getFansNum() {
        return fansNum;
    }

    public void setFansNum(String fansNum) {
        this.fansNum = fansNum;
    }

    public String getGmv30d() {
        return gmv30d;
    }

    public void setGmv30d(String gmv30d) {
        this.gmv30d = gmv30d;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getTerminationReason() {
        return terminationReason;
    }

    public void setTerminationReason(String terminationReason) {
        this.terminationReason = terminationReason;
    }

    public String getCommissionRateView() {
        return commissionRateView;
    }

    public void setCommissionRateView(String commissionRateView) {
        this.commissionRateView = commissionRateView;
    }

    public String getShopScore() {
        return shopScore;
    }

    public void setShopScore(String shopScore) {
        this.shopScore = shopScore;
    }

    public String getClipGmv30d() {
        return clipGmv30d;
    }

    public void setClipGmv30d(String clipGmv30d) {
        this.clipGmv30d = clipGmv30d;
    }

    public String getAuthItemGmv30d() {
        return authItemGmv30d;
    }

    public void setAuthItemGmv30d(String authItemGmv30d) {
        this.authItemGmv30d = authItemGmv30d;
    }

    public String getVideoCount() {
        return videoCount;
    }

    public void setVideoCount(String videoCount) {
        this.videoCount = videoCount;
    }

    public String getVideoShow() {
        return videoShow;
    }

    public void setVideoShow(String videoShow) {
        this.videoShow = videoShow;
    }

    public Long getStatDate() {
        return statDate;
    }

    public void setStatDate(Long statDate) {
        this.statDate = statDate;
    }

    @Override
    public String toString() {
        return "JyClipCooperation{" +
                "clipId=" + clipId +
                ", clipName='" + clipName + '\'' +
                ", headImg='" + headImg + '\'' +
                ", commissionRate=" + commissionRate +
                ", fansNum='" + fansNum + '\'' +
                ", gmv30d='" + gmv30d + '\'' +
                ", startTime='" + startTime + '\'' +
                ", endTime='" + endTime + '\'' +
                ", status=" + status +
                ", terminationReason='" + terminationReason + '\'' +
                ", commissionRateView='" + commissionRateView + '\'' +
                ", shopScore='" + shopScore + '\'' +
                ", clipGmv30d='" + clipGmv30d + '\'' +
                ", authItemGmv30d='" + authItemGmv30d + '\'' +
                ", videoCount='" + videoCount + '\'' +
                ", videoShow='" + videoShow + '\'' +
                ", statDate=" + statDate +
                '}';
    }
}
